tigase.jaxmpp.core.client.xmpp.modules.registration

## Enum UnifiedRegistrationForm.RegistrationFormType

- java.lang.Object
- - java.lang.Enum<UnifiedRegistrationForm.RegistrationFormType>
  - - tigase.jaxmpp.core.client.xmpp.modules.registration.UnifiedRegistrationForm.RegistrationFormType

- All Implemented Interfaces:
    Serializable, Comparable<UnifiedRegistrationForm.RegistrationFormType>
  Enclosing class:
    UnifiedRegistrationForm

      public static enum UnifiedRegistrationForm.RegistrationFormType
      extends Enum<UnifiedRegistrationForm.RegistrationFormType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `classic`
    `form`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnifiedRegistrationForm.RegistrationFormType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnifiedRegistrationForm.RegistrationFormType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### classic

          public static final UnifiedRegistrationForm.RegistrationFormType classic

    - #### form

          public static final UnifiedRegistrationForm.RegistrationFormType form

  - ### Method Detail

    - #### values

          public static UnifiedRegistrationForm.RegistrationFormType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnifiedRegistrationForm.RegistrationFormType c : UnifiedRegistrationForm.RegistrationFormType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnifiedRegistrationForm.RegistrationFormType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 Tigase. All rights reserved.